groups:
- name: KubernetesMinio
  rules:
  - alert: MinioDiskOffline
    expr: minio_disks_offline > 0
    for: 5m
    labels:
      severity: critical
    annotations:
      summary: "Minio disk offline (instance {{ $labels.instance }})"
      description: "Minio disk is offline\n  VALUE = {{ $value }}\n  LABELS: {{ $labels }}"
  - alert: MinioDiskSpaceUsage
    expr: disk_storage_available / disk_storage_total * 100 < 20
    for: 20m
    labels:
      severity: warning
    annotations:
      summary: "Minio disk space usage (instance {{ $labels.instance }})"
      description: "Minio available free space is low (< 10%)\n  VALUE = {{ $value }}\n  LABELS: {{ $labels }}"
  - alert: MinioDiskSpaceUsage
    expr: disk_storage_available / disk_storage_total * 100 < 10
    for: 20m
    labels:
      severity: critical
    annotations:
      summary: "Minio disk space usage exhausted (instance {{ $labels.instance }})"
      description: "Minio available free space is low (< 10%)\n  VALUE = {{ $value }}\n  LABELS: {{ $labels }}"
  - alert: OldMinioStorageSpaceExhausted
    expr: minio_disk_storage_free_bytes < (1024 * 1024 * 10240)
    for: 20m
    labels:
      severity: critical
    annotations:
      summary: "Minio storage space exhausted (instance {{ $labels.instance }})"
      description: "Minio storage space is low (< 10 GB)\n  VALUE = {{ $value }}\n  LABELS: {{ $labels }}"
